## Class template optional_manipulator<OptionalT, void>

boost::log::optional_manipulator<OptionalT, void>

## Synopsis

    // In header: <boost/log/utility/manipulators/optional.hpp>

    template<typename OptionalT>
    class optional_manipulator<OptionalT, void> {
    public:
      // construct/copy/destruct
      optional_manipulator(stored_optional_type) noexcept;

      // public member functions
      template<typename StreamT> void output(StreamT &) const;
    };

## Description

Stream manipulator for inserting an optional value. Specialization for no "none" marker.

### `optional_manipulator` public construct/copy/destruct

1.     optional_manipulator(stored_optional_type opt) noexcept;

   Initializing constructor.

### `optional_manipulator` public member functions

1.     template<typename StreamT> void output(StreamT & stream) const;

   The method outputs the value, if it is present.